/*
@mixin secondaryFont($force : "") {
	font-family: 'FontName', sans-serif unquote($force);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}*/
/**********
 * HEADER *
**********/
/************
 * ELEMENTS *
************/
/**
 * Button mixin
 * 
 * @param {String} $force - Optional string to force additional property values (e.g. !important).
 * 
 * Usage:
 *   @include button();
 *   @include button("!important");
 */
/**********
 * TOGGLE *
 **********/
/********
 * TAGS *
********/
/***********
 * OVERLAY *
***********/
/**********
 * HEADER *
**********/
/*********
 * FORMS *
*********/
/*********
 * MENUS *
*********/
.menu.lvl-3 {
  display: flex;
  gap: 12px;
  flex-flow: row nowrap;
  width: 100%;
  overflow-x: scroll;
  -ms-overflow-style: none; /* Internet Explorer 10+ */
  scrollbar-width: none; /* Firefox */
}
.menu.lvl-3 ::-webkit-scrollbar {
  display: none;
}

/********
 * TAGS *
********/
/***********
 * INFOBOX *
***********/
.notice {
  width: 100%;
  border-radius: 8px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 12px;
  font-family: "Stara", sans-serif;
  -webkit-font-smoothing: antialiased; /* Chrome, Safari */
  -moz-osx-font-smoothing: grayscale;
  font-size: 14px;
  line-height: 1.4em;
  color: #0A072C;
  background: rgba(10, 7, 44, 0.2);
  padding: 12px 12px 11px;
  box-sizing: border-box;
}
@media (max-width: 720px) {
  .notice {
    font-size: 14px;
    line-height: 1.4em;
  }
}
.notice .icon {
  display: flex;
  justify-content: center;
  align-items: center;
}
.notice .icon svg {
  height: 16px;
  width: auto;
}
.notice .icon svg path {
  fill: #0A072C;
}
.notice.error {
  background: rgba(255, 62, 62, 0.2);
  color: #ff3e3e;
}
.notice.error svg path {
  fill: #ff3e3e;
}

/*********
 * DEALS *
 *********/
.deal-card {
  background: linear-gradient(180deg, #FFEBA5 0%, #FFE27A 100%);
  border-radius: 8px;
  color: #0A072C;
  padding: 16px;
  padding-top: 8px;
  max-width: 350px;
}
@media (max-width: 720px) {
  .deal-card {
    max-width: 100%;
  }
}
.deal-card .deal-card-inner {
  display: flex;
  flex-direction: column;
  gap: 8px;
  height: 100%;
}
.deal-card .deal-card-inner .deal-head .deal-card-title {
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: flex-start;
  flex-direction: row;
}
.deal-card .deal-card-inner .deal-head .deal-card-title svg {
  height: 16px;
  width: auto;
}
.deal-card .deal-card-inner .deal-card-button {
  margin-top: auto;
}
.deal-card .deal-card-inner .deal-card-button button {
  width: 100%;
}

.steps-block .steps-wrapper .step {
  display: grid;
  gap: 16px;
  margin-bottom: 96px;
}
.steps-block .steps-wrapper .step:last-child {
  margin-bottom: 0;
}
.steps-block .steps-wrapper .step.odd {
  grid-template-columns: 1fr 5fr 6fr;
  grid-template-areas: "number content .";
  position: relative;
}
@media (max-width: 1100px) {
  .steps-block .steps-wrapper .step.odd {
    grid-template-columns: 64px 6fr 4fr;
  }
}
@media (max-width: 720px) {
  .steps-block .steps-wrapper .step.odd {
    grid-template-columns: 64px 1fr;
    grid-template-areas: "number content";
  }
}
.steps-block .steps-wrapper .step.odd .step-number:before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 100%;
  border-bottom: 1px solid #0A072C;
  border-left: 1px solid #0A072C;
  height: 100%;
  left: 50%;
  border-bottom-left-radius: 20px;
  bottom: -48px;
}
.steps-block .steps-wrapper .step.odd .step-number:after {
  content: "";
  display: inline-block;
  position: absolute;
  width: 100%;
  border-top: 1px solid #0A072C;
  border-left: 1px solid #0A072C;
  height: 64px;
  left: 50%;
  border-top: 1px solid #0A072C;
  border-top-left-radius: 20px;
  border-left: 1px solid #0A072C;
  top: -48px;
  z-index: -1;
}
.steps-block .steps-wrapper .step.odd .step-content {
  position: relative;
}
.steps-block .steps-wrapper .step.odd .step-content:before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 100%;
  border-top: 1px solid #0A072C;
  top: -48px;
  position: absolute;
}
@media (max-width: 1100px) {
  .steps-block .steps-wrapper .step.odd .step-content:before {
    width: 50%;
  }
}
@media (max-width: 720px) {
  .steps-block .steps-wrapper .step.odd .step-content:before {
    display: none;
  }
}
.steps-block .steps-wrapper .step.odd .step-content:after {
  content: "";
  display: inline-block;
  border-bottom: 1px solid #0A072C;
  left: 0px;
  bottom: -48px;
  position: absolute;
  width: 100%;
}
@media (max-width: 1100px) {
  .steps-block .steps-wrapper .step.odd .step-content:after {
    width: 50%;
  }
}
@media (max-width: 720px) {
  .steps-block .steps-wrapper .step.odd .step-content:after {
    display: none;
  }
}
.steps-block .steps-wrapper .step.odd:first-child .step-number:after {
  content: none;
}
.steps-block .steps-wrapper .step.odd:first-child .step-content:before {
  content: none;
}
.steps-block .steps-wrapper .step.odd:last-child .step-number:before {
  content: none;
}
.steps-block .steps-wrapper .step.odd:last-child .step-content:after {
  content: none;
}
.steps-block .steps-wrapper .step.even {
  grid-template-columns: 6fr 1fr 5fr;
  grid-template-areas: ". number content";
}
@media (max-width: 1100px) {
  .steps-block .steps-wrapper .step.even {
    grid-template-columns: 4fr 64px 6fr;
  }
}
@media (max-width: 720px) {
  .steps-block .steps-wrapper .step.even {
    grid-template-columns: 64px 1fr;
    grid-template-areas: "number content";
  }
}
.steps-block .steps-wrapper .step.even .step-number:before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 100%;
  border-bottom: 1px solid #0A072C;
  border-right: 1px solid #0A072C;
  height: 100%;
  right: 50%;
  border-bottom-right-radius: 20px;
  bottom: -49px;
}
.steps-block .steps-wrapper .step.even .step-number:after {
  content: "";
  display: inline-block;
  position: absolute;
  width: 100%;
  border-top: 1px solid #0A072C;
  border-right: 1px solid #0A072C;
  height: 64px;
  right: 50%;
  border-top: 1px solid #0A072C;
  border-top-right-radius: 20px;
  border-right: 1px solid #0A072C;
  top: -49px;
  z-index: -1;
}
.steps-block .steps-wrapper .step.even:last-child .step-number:before {
  content: none;
}
.steps-block .steps-wrapper .step .step-number {
  grid-area: number;
  position: relative;
  z-index: 5;
}
.steps-block .steps-wrapper .step .step-number .number {
  width: 100%;
  padding-bottom: 100%;
  background: #FFE27A;
  border-radius: 20px;
  height: 0px;
  display: inline-block;
  box-sizing: border-box;
  position: relative;
}
.steps-block .steps-wrapper .step .step-number .number .h3 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: auto;
  line-height: 1em;
  text-align: center;
}
@media (max-width: 720px) {
  .steps-block .steps-wrapper .step .step-number:before {
    border-bottom: 0px !important;
    border-top: 0px !important;
    border-radius: 0px !important;
    left: 50%;
    width: 0px !important;
  }
  .steps-block .steps-wrapper .step .step-number:after {
    border-bottom: 0px !important;
    border-top: 0px !important;
    border-radius: 0px !important;
    left: 50%;
    width: 0px !important;
  }
}
.steps-block .steps-wrapper .step .step-content {
  grid-area: content;
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.steps-block .steps-wrapper .step .step-content .text-wrapper {
  font-family: "Stara", sans-serif;
  -webkit-font-smoothing: antialiased; /* Chrome, Safari */
  -moz-osx-font-smoothing: grayscale;
  font-size: 18px;
  line-height: 1.4em;
  font-weight: 500;
}
@media (max-width: 720px) {
  .steps-block .steps-wrapper .step .step-content .text-wrapper {
    font-size: 16px;
    line-height: 1.4em;
  }
}